import { REDIS_PACKAGE } from './constans';
export interface RedisClient {
    del(...keys: string[]): Promise<number>;
    get(key: string): Promise<string | null>;
    keys(key: string): Promise<string[]>;
    set(key: string, value: string, opts: {
        EX: number;
    }): Promise<void>;
}
export declare class RedisClientWrapper {
    private clientWrapper;
    constructor(packageName: REDIS_PACKAGE, client: any);
    getWrapper(): RedisClient;
}
//# sourceMappingURL=redis-client-wrapper.d.ts.map